Skip to content

Dependencies

  • cmake
  • ninja-build or make
  • compiler (see compilation docs)

Libraries

  • development headers/libs for
  • glm
  • lua >= 5.4
  • sdl2 > 2.0.16
  • gtest (and gmock)

Some of these dependencies might not be available as packages in your toolchain - most of them are also bundled with the application. But local installed headers always have the higher priority. Usually you don't have to install anything of these.

Debian

apt-get install libglm-dev lua5.4 liblua5.4-dev libsdl2-dev wayland-protocols pkg-config

Arch

pacman -Sy git make cmake ninja sdl2 clang

Brew

brew install sdl2

Windows

vcpkg install sdl2 lua glm glslang gtest